Bug 1138835 - getconf PATH returns non-directory "/bin"
Summary: getconf PATH returns non-directory "/bin"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1124453
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-05 18:20 UTC by Siddhesh Poyarekar
Modified: 2016-11-24 12:13 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1124453
Environment:
Last Closed: 2014-11-05 10:38:09 UTC


Attachments (Terms of Use)

Description Siddhesh Poyarekar 2014-09-05 18:20:08 UTC
+++ This bug was initially created as a clone of Bug #1124453 +++

Description of problem:

With RHEL7 merging /bin into /usr/bin and turning it into a symlink, but "getconf PATH" is still returning the "/bin" component:
======
$ getconf PATH
/bin:/usr/bin
======

And of course the library POSIX call confstr(_CS_PATH,...) is also returning the erroneous "/bin:/usr/bin" string.

It should now just be "/usr/bin".

--- Additional comment from Carlos O'Donell on 2014-07-29 10:44:04 EDT ---

We can fix this in Fedora and RHEL. It won't go upstream and it will be a distro specific customization for distributions that have acceted "Move To /usr".

Technically this is a hard-coded define in:
sysdeps/unix/confstr.h:#define	CS_PATH	"/bin:/usr/bin"

Easy enough to adjust, and that should fix getconf and confstr. QE should verify.


Note You need to log in before you can comment on or make changes to this bug.